org.aerogear.ups.security

## Class AerogearThemeProvider

- java.lang.Object
- - org.aerogear.ups.security.AerogearThemeProvider

- All Implemented Interfaces:
    ThemeProvider, Provider

      public class AerogearThemeProvider
      extends Object
      implements ThemeProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AEROGEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AerogearThemeProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getProviderPriority()`
    `Theme` | `getTheme(String name, Theme.Type type)`
    `boolean` | `hasTheme(String name, Theme.Type type)`
    `Set<String>` | `nameSet(Theme.Type type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AEROGEAR

          public static final String AEROGEAR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AerogearThemeProvider

          public AerogearThemeProvider()

  - ### Method Detail

    - #### getProviderPriority

          public int getProviderPriority()

      Specified by:
        `getProviderPriority` in interface `ThemeProvider`

    - #### getTheme

          public Theme getTheme(String name,
                       Theme.Type type)
                         throws IOException

      Specified by:
        `getTheme` in interface `ThemeProvider`
      Throws:
        `IOException`

    - #### nameSet

          public Set<String> nameSet(Theme.Type type)

      Specified by:
        `nameSet` in interface `ThemeProvider`

    - #### hasTheme

          public boolean hasTheme(String name,
                         Theme.Type type)

      Specified by:
        `hasTheme` in interface `ThemeProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2014. All Rights Reserved.